org.opencv.ximgproc

## Class EdgeBoxes

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.EdgeBoxes

-     public class EdgeBoxes
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EdgeBoxes(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdgeBoxes` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getAlpha()`
    `float` | `getBeta()`
    `void` | `getBoundingBoxes(Mat edge_map, Mat orientation_map, MatOfRect boxes)`
    `float` | `getClusterMinMag()`
    `float` | `getEdgeMergeThr()`
    `float` | `getEdgeMinMag()`
    `float` | `getEta()`
    `float` | `getGamma()`
    `float` | `getKappa()`
    `float` | `getMaxAspectRatio()`
    `int` | `getMaxBoxes()`
    `float` | `getMinBoxArea()`
    `float` | `getMinScore()`
    `void` | `setAlpha(float value)`
    `void` | `setBeta(float value)`
    `void` | `setClusterMinMag(float value)`
    `void` | `setEdgeMergeThr(float value)`
    `void` | `setEdgeMinMag(float value)`
    `void` | `setEta(float value)`
    `void` | `setGamma(float value)`
    `void` | `setKappa(float value)`
    `void` | `setMaxAspectRatio(float value)`
    `void` | `setMaxBoxes(int value)`
    `void` | `setMinBoxArea(float value)`
    `void` | `setMinScore(float value)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdgeBoxes

          protected EdgeBoxes(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static EdgeBoxes __fromPtr__(long addr)

    - #### getAlpha

          public float getAlpha()

    - #### getBeta

          public float getBeta()

    - #### getClusterMinMag

          public float getClusterMinMag()

    - #### getEdgeMergeThr

          public float getEdgeMergeThr()

    - #### getEdgeMinMag

          public float getEdgeMinMag()

    - #### getEta

          public float getEta()

    - #### getGamma

          public float getGamma()

    - #### getKappa

          public float getKappa()

    - #### getMaxAspectRatio

          public float getMaxAspectRatio()

    - #### getMinBoxArea

          public float getMinBoxArea()

    - #### getMinScore

          public float getMinScore()

    - #### getMaxBoxes

          public int getMaxBoxes()

    - #### getBoundingBoxes

          public void getBoundingBoxes(Mat edge_map,
                                       Mat orientation_map,
                                       MatOfRect boxes)

    - #### setAlpha

          public void setAlpha(float value)

    - #### setBeta

          public void setBeta(float value)

    - #### setClusterMinMag

          public void setClusterMinMag(float value)

    - #### setEdgeMergeThr

          public void setEdgeMergeThr(float value)

    - #### setEdgeMinMag

          public void setEdgeMinMag(float value)

    - #### setEta

          public void setEta(float value)

    - #### setGamma

          public void setGamma(float value)

    - #### setKappa

          public void setKappa(float value)

    - #### setMaxAspectRatio

          public void setMaxAspectRatio(float value)

    - #### setMaxBoxes

          public void setMaxBoxes(int value)

    - #### setMinBoxArea

          public void setMinBoxArea(float value)

    - #### setMinScore

          public void setMinScore(float value)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3